Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockOutlineBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockOutlineBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockOutlineBase.cs	(revision 4068)
@@ -1,161 +1,135 @@
-using System;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    internal abstract class DockOutlineBase
-    {
-        public DockOutlineBase()
-        {
-            Init();
-        }
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal abstract class DockOutlineBase {
+    public DockOutlineBase() {
+      Init();
+    }
 
-        private void Init()
-        {
-            SetValues(Rectangle.Empty, null, DockStyle.None, -1);
-            SaveOldValues();
-        }
+    private void Init() {
+      SetValues(Rectangle.Empty, null, DockStyle.None, -1);
+      SaveOldValues();
+    }
 
-        private Rectangle m_oldFloatWindowBounds;
-        protected Rectangle OldFloatWindowBounds
-        {
-            get { return m_oldFloatWindowBounds; }
-        }
+    private Rectangle m_oldFloatWindowBounds;
+    protected Rectangle OldFloatWindowBounds {
+      get { return m_oldFloatWindowBounds; }
+    }
 
-        private Control m_oldDockTo;
-        protected Control OldDockTo
-        {
-            get { return m_oldDockTo; }
-        }
+    private Control m_oldDockTo;
+    protected Control OldDockTo {
+      get { return m_oldDockTo; }
+    }
 
-        private DockStyle m_oldDock;
-        protected DockStyle OldDock
-        {
-            get { return m_oldDock; }
-        }
+    private DockStyle m_oldDock;
+    protected DockStyle OldDock {
+      get { return m_oldDock; }
+    }
 
-        private int m_oldContentIndex;
-        protected int OldContentIndex
-        {
-            get { return m_oldContentIndex; }
-        }
+    private int m_oldContentIndex;
+    protected int OldContentIndex {
+      get { return m_oldContentIndex; }
+    }
 
-        protected bool SameAsOldValue
-        {
-            get
-            {
-                return FloatWindowBounds == OldFloatWindowBounds &&
-                    DockTo == OldDockTo &&
-                    Dock == OldDock &&
-                    ContentIndex == OldContentIndex;
-            }
-        }
+    protected bool SameAsOldValue {
+      get {
+        return FloatWindowBounds == OldFloatWindowBounds &&
+            DockTo == OldDockTo &&
+            Dock == OldDock &&
+            ContentIndex == OldContentIndex;
+      }
+    }
 
-        private Rectangle m_floatWindowBounds;
-        public Rectangle FloatWindowBounds
-        {
-            get { return m_floatWindowBounds; }
-        }
+    private Rectangle m_floatWindowBounds;
+    public Rectangle FloatWindowBounds {
+      get { return m_floatWindowBounds; }
+    }
 
-        private Control m_dockTo;
-        public Control DockTo
-        {
-            get { return m_dockTo; }
-        }
+    private Control m_dockTo;
+    public Control DockTo {
+      get { return m_dockTo; }
+    }
 
-        private DockStyle m_dock;
-        public DockStyle Dock
-        {
-            get { return m_dock; }
-        }
+    private DockStyle m_dock;
+    public DockStyle Dock {
+      get { return m_dock; }
+    }
 
-        private int m_contentIndex;
-        public int ContentIndex
-        {
-            get { return m_contentIndex; }
-        }
+    private int m_contentIndex;
+    public int ContentIndex {
+      get { return m_contentIndex; }
+    }
 
-        public bool FlagFullEdge
-        {
-            get { return m_contentIndex != 0; }
-        }
+    public bool FlagFullEdge {
+      get { return m_contentIndex != 0; }
+    }
 
-        private bool m_flagTestDrop = false;
-        public bool FlagTestDrop
-        {
-            get { return m_flagTestDrop; }
-            set { m_flagTestDrop = value; }
-        }
+    private bool m_flagTestDrop = false;
+    public bool FlagTestDrop {
+      get { return m_flagTestDrop; }
+      set { m_flagTestDrop = value; }
+    }
 
-        private void SaveOldValues()
-        {
-            m_oldDockTo = m_dockTo;
-            m_oldDock = m_dock;
-            m_oldContentIndex = m_contentIndex;
-            m_oldFloatWindowBounds = m_floatWindowBounds;
-        }
+    private void SaveOldValues() {
+      m_oldDockTo = m_dockTo;
+      m_oldDock = m_dock;
+      m_oldContentIndex = m_contentIndex;
+      m_oldFloatWindowBounds = m_floatWindowBounds;
+    }
 
-        protected abstract void OnShow();
+    protected abstract void OnShow();
 
-        protected abstract void OnClose();
+    protected abstract void OnClose();
 
-        private void SetValues(Rectangle floatWindowBounds, Control dockTo, DockStyle dock, int contentIndex)
-        {
-            m_floatWindowBounds = floatWindowBounds;
-            m_dockTo = dockTo;
-            m_dock = dock;
-            m_contentIndex = contentIndex;
-            FlagTestDrop = true;
-        }
+    private void SetValues(Rectangle floatWindowBounds, Control dockTo, DockStyle dock, int contentIndex) {
+      m_floatWindowBounds = floatWindowBounds;
+      m_dockTo = dockTo;
+      m_dock = dock;
+      m_contentIndex = contentIndex;
+      FlagTestDrop = true;
+    }
 
-        private void TestChange()
-        {
-            if (m_floatWindowBounds != m_oldFloatWindowBounds ||
-                m_dockTo != m_oldDockTo ||
-                m_dock != m_oldDock ||
-                m_contentIndex != m_oldContentIndex)
-                OnShow();
-        }
+    private void TestChange() {
+      if (m_floatWindowBounds != m_oldFloatWindowBounds ||
+          m_dockTo != m_oldDockTo ||
+          m_dock != m_oldDock ||
+          m_contentIndex != m_oldContentIndex)
+        OnShow();
+    }
 
-        public void Show()
-        {
-            SaveOldValues();
-            SetValues(Rectangle.Empty, null, DockStyle.None, -1);
-            TestChange();
-        }
+    public void Show() {
+      SaveOldValues();
+      SetValues(Rectangle.Empty, null, DockStyle.None, -1);
+      TestChange();
+    }
 
-        public void Show(DockPane pane, DockStyle dock)
-        {
-            SaveOldValues();
-            SetValues(Rectangle.Empty, pane, dock, -1);
-            TestChange();
-        }
+    public void Show(DockPane pane, DockStyle dock) {
+      SaveOldValues();
+      SetValues(Rectangle.Empty, pane, dock, -1);
+      TestChange();
+    }
 
-        public void Show(DockPane pane, int contentIndex)
-        {
-            SaveOldValues();
-            SetValues(Rectangle.Empty, pane, DockStyle.Fill, contentIndex);
-            TestChange();
-        }
+    public void Show(DockPane pane, int contentIndex) {
+      SaveOldValues();
+      SetValues(Rectangle.Empty, pane, DockStyle.Fill, contentIndex);
+      TestChange();
+    }
 
-        public void Show(DockPanel dockPanel, DockStyle dock, bool fullPanelEdge)
-        {
-            SaveOldValues();
-            SetValues(Rectangle.Empty, dockPanel, dock, fullPanelEdge ? -1 : 0);
-            TestChange();
-        }
+    public void Show(DockPanel dockPanel, DockStyle dock, bool fullPanelEdge) {
+      SaveOldValues();
+      SetValues(Rectangle.Empty, dockPanel, dock, fullPanelEdge ? -1 : 0);
+      TestChange();
+    }
 
-        public void Show(Rectangle floatWindowBounds)
-        {
-            SaveOldValues();
-            SetValues(floatWindowBounds, null, DockStyle.None, -1);
-            TestChange();
-        }
+    public void Show(Rectangle floatWindowBounds) {
+      SaveOldValues();
+      SetValues(floatWindowBounds, null, DockStyle.None, -1);
+      TestChange();
+    }
 
-        public void Close()
-        {
-            OnClose();
-        }
+    public void Close() {
+      OnClose();
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPane.SplitterControl.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPane.SplitterControl.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPane.SplitterControl.cs	(revision 4068)
@@ -1,157 +1,131 @@
-using System;
-using System.Collections;
-using System.ComponentModel;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    partial class DockPane
-    {
-        private class SplitterControl : Control, ISplitterDragSource
-        {
-            DockPane m_pane;
+namespace WeifenLuo.WinFormsUI.Docking {
+  partial class DockPane {
+    private class SplitterControl : Control, ISplitterDragSource {
+      DockPane m_pane;
 
-            public SplitterControl(DockPane pane)
-            {
-                SetStyle(ControlStyles.Selectable, false);
-                m_pane = pane;
-            }
+      public SplitterControl(DockPane pane) {
+        SetStyle(ControlStyles.Selectable, false);
+        m_pane = pane;
+      }
 
-            public DockPane DockPane
-            {
-                get { return m_pane; }
-            }
+      public DockPane DockPane {
+        get { return m_pane; }
+      }
 
-            private DockAlignment m_alignment;
-            public DockAlignment Alignment
-            {
-                get { return m_alignment; }
-                set
-                {
-                    m_alignment = value;
-                    if (m_alignment == DockAlignment.Left || m_alignment == DockAlignment.Right)
-                        Cursor = Cursors.VSplit;
-                    else if (m_alignment == DockAlignment.Top || m_alignment == DockAlignment.Bottom)
-                        Cursor = Cursors.HSplit;
-                    else
-                        Cursor = Cursors.Default;
+      private DockAlignment m_alignment;
+      public DockAlignment Alignment {
+        get { return m_alignment; }
+        set {
+          m_alignment = value;
+          if (m_alignment == DockAlignment.Left || m_alignment == DockAlignment.Right)
+            Cursor = Cursors.VSplit;
+          else if (m_alignment == DockAlignment.Top || m_alignment == DockAlignment.Bottom)
+            Cursor = Cursors.HSplit;
+          else
+            Cursor = Cursors.Default;
 
-                    if (DockPane.DockState == DockState.Document)
-                        Invalidate();
-                }
-            }
+          if (DockPane.DockState == DockState.Document)
+            Invalidate();
+        }
+      }
 
-            protected override void OnPaint(PaintEventArgs e)
-            {
-                base.OnPaint(e);
+      protected override void OnPaint(PaintEventArgs e) {
+        base.OnPaint(e);
 
-                if (DockPane.DockState != DockState.Document)
-                    return;
+        if (DockPane.DockState != DockState.Document)
+          return;
 
-                Graphics g = e.Graphics;
-                Rectangle rect = ClientRectangle;
-                if (Alignment == DockAlignment.Top || Alignment == DockAlignment.Bottom)
-                    g.DrawLine(SystemPens.ControlDark, rect.Left, rect.Bottom - 1, rect.Right, rect.Bottom - 1);
-                else if (Alignment == DockAlignment.Left || Alignment == DockAlignment.Right)
-                    g.DrawLine(SystemPens.ControlDarkDark, rect.Right - 1, rect.Top, rect.Right - 1, rect.Bottom);
-            }
+        Graphics g = e.Graphics;
+        Rectangle rect = ClientRectangle;
+        if (Alignment == DockAlignment.Top || Alignment == DockAlignment.Bottom)
+          g.DrawLine(SystemPens.ControlDark, rect.Left, rect.Bottom - 1, rect.Right, rect.Bottom - 1);
+        else if (Alignment == DockAlignment.Left || Alignment == DockAlignment.Right)
+          g.DrawLine(SystemPens.ControlDarkDark, rect.Right - 1, rect.Top, rect.Right - 1, rect.Bottom);
+      }
 
-            protected override void OnMouseDown(MouseEventArgs e)
-            {
-                base.OnMouseDown(e);
+      protected override void OnMouseDown(MouseEventArgs e) {
+        base.OnMouseDown(e);
 
-                if (e.Button != MouseButtons.Left)
-                    return;
+        if (e.Button != MouseButtons.Left)
+          return;
 
-                DockPane.DockPanel.BeginDrag(this, Parent.RectangleToScreen(Bounds));
-            }
+        DockPane.DockPanel.BeginDrag(this, Parent.RectangleToScreen(Bounds));
+      }
 
-            #region ISplitterDragSource Members
+      #region ISplitterDragSource Members
 
-            void ISplitterDragSource.BeginDrag(Rectangle rectSplitter)
-            {
-            }
+      void ISplitterDragSource.BeginDrag(Rectangle rectSplitter) {
+      }
 
-            void ISplitterDragSource.EndDrag()
-            {
-            }
+      void ISplitterDragSource.EndDrag() {
+      }
 
-            bool ISplitterDragSource.IsVertical
-            {
-                get
-                {
-                    NestedDockingStatus status = DockPane.NestedDockingStatus;
-                    return (status.DisplayingAlignment == DockAlignment.Left ||
-                        status.DisplayingAlignment == DockAlignment.Right);
-                }
-            }
+      bool ISplitterDragSource.IsVertical {
+        get {
+          NestedDockingStatus status = DockPane.NestedDockingStatus;
+          return (status.DisplayingAlignment == DockAlignment.Left ||
+              status.DisplayingAlignment == DockAlignment.Right);
+        }
+      }
 
-            Rectangle ISplitterDragSource.DragLimitBounds
-            {
-                get
-                {
-                    NestedDockingStatus status = DockPane.NestedDockingStatus;
-                    Rectangle rectLimit = Parent.RectangleToScreen(status.LogicalBounds);
-                    if (((ISplitterDragSource)this).IsVertical)
-                    {
-                        rectLimit.X += MeasurePane.MinSize;
-                        rectLimit.Width -= 2 * MeasurePane.MinSize;
-                    }
-                    else
-                    {
-                        rectLimit.Y += MeasurePane.MinSize;
-                        rectLimit.Height -= 2 * MeasurePane.MinSize;
-                    }
+      Rectangle ISplitterDragSource.DragLimitBounds {
+        get {
+          NestedDockingStatus status = DockPane.NestedDockingStatus;
+          Rectangle rectLimit = Parent.RectangleToScreen(status.LogicalBounds);
+          if (((ISplitterDragSource)this).IsVertical) {
+            rectLimit.X += MeasurePane.MinSize;
+            rectLimit.Width -= 2 * MeasurePane.MinSize;
+          } else {
+            rectLimit.Y += MeasurePane.MinSize;
+            rectLimit.Height -= 2 * MeasurePane.MinSize;
+          }
 
-                    return rectLimit;
-                }
-            }
+          return rectLimit;
+        }
+      }
 
-            void ISplitterDragSource.MoveSplitter(int offset)
-            {
-                NestedDockingStatus status = DockPane.NestedDockingStatus;
-                double proportion = status.Proportion;
-                if (status.LogicalBounds.Width <= 0 || status.LogicalBounds.Height <= 0)
-                    return;
-                else if (status.DisplayingAlignment == DockAlignment.Left)
-                    proportion += ((double)offset) / (double)status.LogicalBounds.Width;
-                else if (status.DisplayingAlignment == DockAlignment.Right)
-                    proportion -= ((double)offset) / (double)status.LogicalBounds.Width;
-                else if (status.DisplayingAlignment == DockAlignment.Top)
-                    proportion += ((double)offset) / (double)status.LogicalBounds.Height;
-                else
-                    proportion -= ((double)offset) / (double)status.LogicalBounds.Height;
+      void ISplitterDragSource.MoveSplitter(int offset) {
+        NestedDockingStatus status = DockPane.NestedDockingStatus;
+        double proportion = status.Proportion;
+        if (status.LogicalBounds.Width <= 0 || status.LogicalBounds.Height <= 0)
+          return;
+        else if (status.DisplayingAlignment == DockAlignment.Left)
+          proportion += ((double)offset) / (double)status.LogicalBounds.Width;
+        else if (status.DisplayingAlignment == DockAlignment.Right)
+          proportion -= ((double)offset) / (double)status.LogicalBounds.Width;
+        else if (status.DisplayingAlignment == DockAlignment.Top)
+          proportion += ((double)offset) / (double)status.LogicalBounds.Height;
+        else
+          proportion -= ((double)offset) / (double)status.LogicalBounds.Height;
 
-                DockPane.SetNestedDockingProportion(proportion);
-            }
+        DockPane.SetNestedDockingProportion(proportion);
+      }
 
-            #region IDragSource Members
+      #region IDragSource Members
 
-            Control IDragSource.DragControl
-            {
-                get { return this; }
-            }
+      Control IDragSource.DragControl {
+        get { return this; }
+      }
 
-            #endregion
+      #endregion
 
-            #endregion
-        }
+      #endregion
+    }
 
-        private SplitterControl m_splitter;
-        private SplitterControl Splitter
-        {
-            get { return m_splitter; }
-        }
+    private SplitterControl m_splitter;
+    private SplitterControl Splitter {
+      get { return m_splitter; }
+    }
 
-        internal Rectangle SplitterBounds
-        {
-            set { Splitter.Bounds = value; }
-        }
+    internal Rectangle SplitterBounds {
+      set { Splitter.Bounds = value; }
+    }
 
-        internal DockAlignment SplitterAlignment
-        {
-            set { Splitter.Alignment = value; }
-        }
+    internal DockAlignment SplitterAlignment {
+      set { Splitter.Alignment = value; }
     }
+  }
 }
